Bug 1568442 - ovirt driver doesn't reboot stopped VMs
Summary: ovirt driver doesn't reboot stopped VMs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic-staging-drivers
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 13.0 (Queens)
Assignee: Ilya Etingof
QA Contact: mlammon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 14:01 UTC by Bob Fournier
Modified: 2018-06-27 13:52 UTC (History)
3 users (show)

Fixed In Version: openstack-ironic-staging-drivers-0.9.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:52:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1752575 None None None 2018-04-17 14:01:24 UTC
OpenStack gerrit 563094 None stable/queens: MERGED ironic-staging-drivers: reboot stopped vms in ovirt (I851935a042c3e69e7e4ce72d6338ce2f77baa566) 2018-04-24 16:07:48 UTC
Red Hat Bugzilla 1576108 None CLOSED ovirt driver doesn't reboot running VMs 2019-10-29 09:31:30 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:52:54 UTC

Internal Links: 1576108

Description Bob Fournier 2018-04-17 14:01:25 UTC
Description of problem:

When using the Ironic ovirt driver, a reboot does not start stopped VMs

Comment 1 Bob Fournier 2018-04-17 14:03:02 UTC
When https://review.openstack.org/#/c/548943/ lands it will need to be backported to Queens.

Comment 6 mlammon 2018-05-08 21:05:50 UTC
installed latest osp13 puddle 2018-05-04.1

with node power off, executed "openstack baremetal node reboot <uuid>" and observed that the node powered on. 

env:
openstack-ironic-staging-drivers-0.9.0-4.el7ost.noarch

Comment 8 errata-xmlrpc 2018-06-27 13:52:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.